# Copyright (c) 2009, Frédéric Nadeau
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions are met:
#
# * Redistributions of source code must retain the above copyright
#   notice, this list of conditions and the following disclaimer.
#
# * Redistributions in binary form must reproduce the above copyright
#   notice, this list of conditions and the following disclaimer in
#   the documentation and/or other materials provided with the
#   distribution.
#
# * Neither the name of the copyright holders nor the names of
#   contributors may be used to endorse or promote products derived
#   from this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
# AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
# IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
# ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE
# LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
# CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
# SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
# INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
# CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
# ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
# POSSIBILITY OF SUCH DAMAGE.
#
#


/* Device Pin Definitions */
#define DDR_ICP  	DDRB
#define PORT_ICP 	PORTB
#define PIN_ICP  	PINB
#define ICP_IDX  	0

#define DDR_OC1  	DDRB
#define PORT_OC1 	PORTB
#define PIN_OC1  	PINB
#define OC1_IDX  	1

#define DDR_SS  	DDRB
#define PORT_SS 	PORTB
#define PIN_SS  	PINB
#define SS_IDX  	2

#define DDR_MOS1  	DDRB
#define PORT_MOS1 	PORTB
#define PIN_MOS1  	PINB
#define MOS1_IDX  	3

#define DDR_MOS0  	DDRB
#define PORT_MOS0 	PORTB
#define PIN_MOS0  	PINB
#define MOS0_IDX  	4

#define DDR_SCK  	DDRB
#define PORT_SCK 	PORTB
#define PIN_SCK  	PINB
#define SCK_IDX  	5

#define DDR_ADC0  	DDRC
#define PORT_ADC0 	PORTC
#define PIN_ADC0  	PINC
#define ADC0_IDX  	0

#define DDR_ADC1  	DDRC
#define PORT_ADC1 	PORTC
#define PIN_ADC1  	PINC
#define ADC1_IDX  	1

#define DDR_ADC2  	DDRC
#define PORT_ADC2 	PORTC
#define PIN_ADC2  	PINC
#define ADC2_IDX  	2

#define DDR_ADC3  	DDRC
#define PORT_ADC3 	PORTC
#define PIN_ADC3  	PINC
#define ADC3_IDX  	3

#define DDR_ADC4  	DDRC
#define PORT_ADC4 	PORTC
#define PIN_ADC4  	PINC
#define ADC4_IDX  	4

#define DDR_ADC5  	DDRC
#define PORT_ADC5 	PORTC
#define PIN_ADC5  	PINC
#define ADC5_IDX  	5

#define DDR_RXD  	DDRD
#define PORT_RXD 	PORTD
#define PIN_RXD  	PIND
#define RXD_IDX  	0

#define DDR_TXD  	DDRD
#define PORT_TXD 	PORTD
#define PIN_TXD  	PIND
#define TXD_IDX  	1

#define DDR_INT0  	DDRD
#define PORT_INT0 	PORTD
#define PIN_INT0  	PIND
#define INT0_IDX  	2

#define DDR_INT1  	DDRD
#define PORT_INT1 	PORTD
#define PIN_INT1  	PIND
#define INT1_IDX  	3

#define DDR_T0  	DDRD
#define PORT_T0 	PORTD
#define PIN_T0  	PIND
#define T0_IDX  	4

#define DDR_T1  	DDRD
#define PORT_T1 	PORTD
#define PIN_T1  	PIND
#define T1_IDX  	5

#define DDR_AIN0  	DDRD
#define PORT_AIN0 	PORTD
#define PIN_AIN0  	PIND
#define AIN0_IDX  	6

#define DDR_AIN1  	DDRD
#define PORT_AIN1 	PORTD
#define PIN_AIN1  	PIND
#define AIN1_IDX  	7

