# Copyright (c) 2009, Frédéric Nadeau
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions are met:
#
# * Redistributions of source code must retain the above copyright
#   notice, this list of conditions and the following disclaimer.
#
# * Redistributions in binary form must reproduce the above copyright
#   notice, this list of conditions and the following disclaimer in
#   the documentation and/or other materials provided with the
#   distribution.
#
# * Neither the name of the copyright holders nor the names of
#   contributors may be used to endorse or promote products derived
#   from this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
# AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
# IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
# ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE
# LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
# CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
# SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
# INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
# CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
# ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
# POSSIBILITY OF SUCH DAMAGE.
#
#


/* Device Pin Definitions */
#define DDR_ADC0  	DDRA
#define PORT_ADC0 	PORTA
#define PIN_ADC0  	PINA
#define ADC0_IDX  	0

#define DDR_ADC1  	DDRA
#define PORT_ADC1 	PORTA
#define PIN_ADC1  	PINA
#define ADC1_IDX  	1

#define DDR_ADC2  	DDRA
#define PORT_ADC2 	PORTA
#define PIN_ADC2  	PINA
#define ADC2_IDX  	2

#define DDR_ADC3  	DDRA
#define PORT_ADC3 	PORTA
#define PIN_ADC3  	PINA
#define ADC3_IDX  	3

#define DDR_ADC4  	DDRA
#define PORT_ADC4 	PORTA
#define PIN_ADC4  	PINA
#define ADC4_IDX  	4

#define DDR_ADc5  	DDRA
#define PORT_ADc5 	PORTA
#define PIN_ADc5  	PINA
#define ADc5_IDX  	5

#define DDR_ADC6  	DDRA
#define PORT_ADC6 	PORTA
#define PIN_ADC6  	PINA
#define ADC6_IDX  	6

#define DDR_ADC7  	DDRA
#define PORT_ADC7 	PORTA
#define PIN_ADC7  	PINA
#define ADC7_IDX  	7

#define DDR_T0  	DDRB
#define PORT_T0 	PORTB
#define PIN_T0  	PINB
#define T0_IDX  	0

#define DDR_T1  	DDRB
#define PORT_T1 	PORTB
#define PIN_T1  	PINB
#define T1_IDX  	1

#define DDR_AIN0  	DDRB
#define PORT_AIN0 	PORTB
#define PIN_AIN0  	PINB
#define AIN0_IDX  	2

#define DDR_AIN1  	DDRB
#define PORT_AIN1 	PORTB
#define PIN_AIN1  	PINB
#define AIN1_IDX  	3

#define DDR_SS  	DDRB
#define PORT_SS 	PORTB
#define PIN_SS  	PINB
#define SS_IDX  	4

#define DDR_MOSI  	DDRB
#define PORT_MOSI 	PORTB
#define PIN_MOSI  	PINB
#define MOSI_IDX  	5

#define DDR_MISO  	DDRB
#define PORT_MISO 	PORTB
#define PIN_MISO  	PINB
#define MISO_IDX  	6

#define DDR_SCL  	DDRC
#define PORT_SCL 	PORTC
#define PIN_SCL  	PINC
#define SCL_IDX  	0

#define DDR_SDA  	DDRC
#define PORT_SDA 	PORTC
#define PIN_SDA  	PINC
#define SDA_IDX  	1

#define DDR_RXD  	DDRD
#define PORT_RXD 	PORTD
#define PIN_RXD  	PIND
#define RXD_IDX  	0

#define DDR_TXD  	DDRD
#define PORT_TXD 	PORTD
#define PIN_TXD  	PIND
#define TXD_IDX  	1

#define DDR_INT0  	DDRD
#define PORT_INT0 	PORTD
#define PIN_INT0  	PIND
#define INT0_IDX  	2

#define DDR_INT1  	DDRD
#define PORT_INT1 	PORTD
#define PIN_INT1  	PIND
#define INT1_IDX  	3

#define DDR_OC1B  	DDRD
#define PORT_OC1B 	PORTD
#define PIN_OC1B  	PIND
#define OC1B_IDX  	4

#define DDR_OC1A  	DDRD
#define PORT_OC1A 	PORTD
#define PIN_OC1A  	PIND
#define OC1A_IDX  	5

#define DDR_ICP  	DDRD
#define PORT_ICP 	PORTD
#define PIN_ICP  	PIND
#define ICP_IDX  	6

#define DDR_OC2  	DDRD
#define PORT_OC2 	PORTD
#define PIN_OC2  	PIND
#define OC2_IDX  	7

